org.eclnt.jsfserver.util

## Class CCServletBase

- java.lang.Object
- - HttpServlet
  - - org.eclnt.jsfserver.util.CCServletBase

- Direct Known Subclasses:
    AppletStarter, CCServletBaseWithContextMgmt, ClientDirectUpdateHttpServlet, ClientI18NReaderServlet, ClientLiteralServlet, CLResourceAccessServlet, DynamicImageServlet, ExtCalendarServlet, FileAccessDelegationServlet, RISCStarter, SessionInvalidationServlet, StyleReaderServlet, UI5Starter

      public abstract class CCServletBase
      extends HttpServlet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCServletBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `checkIfToInitializeCCEnvironment()`
    `void` | `init()`
    `protected java.lang.String` | `proposeContentType(java.lang.String extension)` Proposes content type dependent from extension.
    `protected void` | `setContentType(java.lang.String uri, HttpServletResponse resp)` Automatically derives content type from uri-extension and sets the content type in the repsone.
    `protected void` | `setContentTypeInResponse(java.lang.String contentType, HttpServletResponse resp)` Setting of content type in response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCServletBase

          public CCServletBase()

  - ### Method Detail

    - #### init

          public void init()
                    throws ServletException

      Throws:
        `ServletException`

    - #### checkIfToInitializeCCEnvironment

          protected boolean checkIfToInitializeCCEnvironment()

    - #### setContentType

          protected void setContentType(java.lang.String uri,
                                        HttpServletResponse resp)

      Automatically derives content type from uri-extension and sets the content type in the repsone.
      Parameters:
        `uri` -
        `resp` -

    - #### setContentTypeInResponse

          protected void setContentTypeInResponse(java.lang.String contentType,
                                                  HttpServletResponse resp)

      Setting of content type in response. Dependent on the content type also other acitivites are executed, e.g. in case of content type "application/octet" the header attribute "Content-Disposition" is set to "attachment".
      Parameters:
        `resp` -
        `contentType` -

    - #### proposeContentType

          protected java.lang.String proposeContentType(java.lang.String extension)

      Proposes content type dependent from extension. Only is implemented for very basic conten-types, otherwise returns "application/"+extension.
      Parameters:
        `extension` -
      Returns:

Copyright © CaptainCasa Gmbh. All Rights Reserved.